
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Admins :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Admin Management</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Admin Reports</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i> Admin Reports</h3><br>
                        <div class="table-responsive">
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Admin/createAdmin"); ?>'" tooltip="Add New Admin"><i class="fa fa-plus"></i> Add New Admin</button><br><br>    
                            <table id="adminsData" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Name</th>
                                        <th>User-ID</th>
                                        <th>Role</th>
                                        <th>Date Added</th>
                                        <th>Status</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Name</th>
                                        <th>User-ID</th>
                                        <th>Role</th>
                                        <th>Date Added</th>
                                        <th>Status</th>
                                        <th>Action</th>
                                    </tr>
                                </tfoot>
                                <tbody>
                                    <?php
                                    for ($i = 0; $i < sizeof($admins); $i++) {
                                        $record = $admins[$i];
                                        ?>
                                        <tr>
                                            <td><?php echo ($i + 1); ?></td>
                                            <td><?php echo stripslashes($record->admin_name); ?></td>                                        
                                            <td><?php echo stripslashes($record->admin_userid); ?></td>
                                            <td><?php echo stripslashes($record->admin_role); ?></td> 
                                            <td><?php echo ($record->admin_date_added==null || $record->admin_date_added=="")? "N/A" : date("d-m-Y", strtotime($record->admin_date_added)); ?></td> 
                                            <td><?php
                                                if ($record->admin_status == "t")
                                                    echo "Unblocked";
                                                else
                                                    echo "Blocked";
                                                ?></td>  
                                            <td>
                                                <i style="color:#4755ab;cursor: pointer;" onClick="window.location.href = '<?php echo site_url('admin/Admin/resetPassword/' . $record->admin_id) ?>'" data-toggle="tooltip" title="Reset Password (1234)" class="fa fa-key"></i>
                                                <?php
                                                if ($record->admin_status == "t") {
                                                    ?>
                                                    <i style="color:#297534;cursor: pointer;" onClick="window.location.href = '<?php echo site_url('admin/Admin/toggleAdminStatus/' . $record->admin_id) . "/f" ?>'" data-toggle="tooltip" title="Click To Revoke Rights" class="fa fa-check-circle"></i>
                                                    <?php
                                                } else {
                                                    ?>
                                                    <i style="color:#FF0000;cursor: pointer;" onClick="window.location.href = '<?php echo site_url('admin/Admin/toggleAdminStatus/' . $record->admin_id) . "/t" ?>'" data-toggle="tooltip" title="Click To Grant Rights" class="fa fa-ban"></i>
                                                    <?php
                                                }
                                                ?>
                                            </td>
                                        </tr>
                                    <?php }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>
        $(document).ready(function () {
            $("#adminsData").DataTable();
        });
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("dataManagement").classList.remove("active");
            document.getElementById("admin").classList.remove("active");
            document.getElementById("notification").classList.remove("active");
            document.getElementById("reports").classList.remove("active");
            document.getElementById("adminManagement").classList.remove("active");
            document.getElementById("adminmanagement").classList.add("active");
        });
    </script>
