
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create Admin :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Admin Management</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Create Admin</a></li>
                    </ol>
                </nav>
                <div class="col-xl-12  pr-xl-2">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <!-- form -->
                            <?php echo form_open(site_url("admin/Admin/saveAdmin")); ?>
                            <div class="register__header text-center mb-lg-5 mb-4">
                                <h3 class="register__title mb-2"> Create Admin</h3>
                            </div>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="row">
                                <div class="col-xl-12">
                                    <div class="form-group">
                                        <label for="a_name" class="input__label required">Admin Name</label>
                                        <input type="text" value="<?php echo set_value("a_name"); ?>" name="a_name" id="a_name" class="form-control login_text_field_bg input-style"
                                               aria-describedby="a_name" placeholder="Enter Admin Name" s>
                                    </div>
                                    <div class="form-group">
                                        <label for="a_userid" class="input__label required">User-ID</label>
                                        <input type="text" value="<?php echo set_value("a_userid"); ?>" name="a_userid" id="a_userid" class="form-control login_text_field_bg input-style"
                                               aria-describedby="a_userid" placeholder="Enter Admin User-ID" >
                                    </div>
                                    <div class="form-group">
                                        <label for="a_role" class="input__label required">Role</label>
                                        <select value="<?php echo set_value("a_role"); ?>" name="a_role" id="a_role" class="form-control login_text_field_bg input-style"
                                                aria-describedby="a_role">
                                            <option selected disabled="true">-Role-</option>
                                            <option <?php echo set_select("for", "Student"); ?> value="Master Admin">Master Admin</option>
                                            <option <?php echo set_select("for", "Alumni"); ?> value="Sub Admin">Sub Admin</option>
                                        </select>
                                    </div>
                                </div>
                            </div>  
                            <div class="d-flex align-items-center flex-wrap justify-content-center">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">CREATE</button>
                            </div>
                            <br>
                            <span style="color:red;">(*) marked fields are mandatory.</span>
                            <?php echo form_close(); ?>
                            <!-- //form -->
                        </div>
                    </div>
                </div>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("dataManagement").classList.remove("active");
            document.getElementById("admin").classList.remove("active");
            document.getElementById("notification").classList.remove("active");
            document.getElementById("reports").classList.remove("active");
            document.getElementById("adminManagement").classList.remove("active");
            document.getElementById("adminManagement").classList.add("active");
        });
    </script>
