
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Feedbacks :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = "";
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Admin</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Feedback") ?>">Feedbacks</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i> Feedbacks</h3><br>
                        <div class="table-responsive">
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <table id="feedbacks" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Type</th>
                                        <th>Title</th>
                                        <th>Description</th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Date</th>
                                        <th>User Type</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Type</th>
                                        <th>Title</th>
                                        <th>Description</th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Date</th>
                                        <th>User Type</th>
                                        <th>Action</th>
                                    </tr>
                                </tfoot>
                                <tbody>
                                    <?php
                                    for ($i = 0; $i < sizeof($feedbacks); $i++) {
                                        $record = $feedbacks[$i];
                                        ?>
                                        <tr>
                                            <td><?php echo ($i + 1); ?></td>
                                            <td><?php echo stripslashes($record->f_type); ?></td>                                        
                                            <td><?php echo stripslashes($record->f_title); ?></td>
                                            <td><?php echo stripslashes($record->f_desc); ?></td> 
                                            <td><?php echo stripslashes($record->f_username); ?></td>   
                                            <td><?php echo stripslashes($record->f_usermail); ?></td>   
                                            <td><?php echo ($record->f_date==null || $record->f_date=="")? "N/A" : date("d-m-Y", strtotime($record->f_date)); ?></td> 
                                            <td><?php echo stripslashes($record->f_usertype); ?></td>  
                                            <td><i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getFeedbackDetails(<?php echo $record->f_id; ?>);"></i> </td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>
        $(document).ready(function () {
            $("#feedbacks").DataTable({responsive: true, dom: 'Blfrtip'})
        });
        function getFeedbackDetails(f_id) {
            //alert(f_id);
            event.preventDefault();
            $(".se-pre-con").fadeIn("slow");
            if (csrfHash === '') {
                csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
            }
            $.ajax({
                url: '<?php echo site_url('admin/Feedback/getFeedbackDetails/'); ?>',
                data: {f_id: f_id, csrf_token: csrfHash},
                type: 'POST',
                success: function (result) {
                    $(".se-pre-con").fadeOut("slow");
                    var feedBackDetails = JSON.parse(result);
                    csrfHash = feedBackDetails.csrfHash;
                    $("#type").html(feedBackDetails.type);
                    $("#title").html(feedBackDetails.title);
                    $("#desc").html(feedBackDetails.desc);
                    $("#username").html(feedBackDetails.name);
                    $("#usertype").html(feedBackDetails.usertype);
                    $("#usermail").html(feedBackDetails.email);
                    $("#date").html(feedBackDetails.date);
                    $("#feedbackDetailsModal").modal('show');
                }
            });
        }
        
        
        
            $(document).ready(function () {
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("dataManagement").classList.remove("active");
                document.getElementById("admin").classList.remove("active");
                document.getElementById("notification").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                <?php
                if ($this->session->userdata("alumni_admin_data")["admin_role"] == "Master Admin") {
                    ?>
                                    document.getElementById("adminManagement").classList.remove("active");
                    <?php
                }
                ?>
                        document.getElementById("admin").classList.add("active");
            });
    </script>
    <!-- Access Log Details Modal Starts -->
    <div class="modal fade" id="feedbackDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Feedback Details</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                    <fieldset>
                        <div class="row">
                            <div class="col-sm-12">
                                <center>
                                    <b>Subject   :<span id="type"></span></b><br>
                                    <b>By  :<span id="username"></span></b>
                                </center>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-sm-3"><b>Email</b></div>
                            <div class="col-sm-9"><span id="usermail"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Title</b></div>
                            <div class="col-sm-9"><span id="title"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Description</b></div>
                            <div class="col-sm-9"><span id="desc"></span></div>
                        </div>  
                        <div class="row">
                            <div class="col-sm-3"><b>Date</b></div>
                            <div class="col-sm-3"><span id="date"></span></div>
                            <div class="col-sm-3"><b>User Type</b></div>
                            <div class="col-sm-3"><span id="usertype"></span></div>
                        </div>                        
                    </fieldset>
                </div>    
                <div class="modal-footer">
                    <button class="btn btn-danger" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Access Log Details Modal Ends -->
