<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Manage Users:: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
                <script>
            var csrfHash = "";
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Admin</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Manage Student-Alumni</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i> Manage Student/Alumni</h3><br>
                        <div class="table-responsive">
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <fieldset>
                                <legend>Filters <i class="fa fa-filter"></i></legend>
                                <?php echo form_open(site_url('admin/User/manageUsers')); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-2">
                                        <label for="userName" class="input__label">User Name</label>
                                        <input type="text" class="form-control" id="userName" name="userName" value="<?php echo set_value('userName'); ?>" placeholder="Enter User Name" autocomplete="off" maxlength="150">
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label class="input__label" for="course">Course</label>
                                        <select name="course" id="course" class="custom-select">
                                            <option <?php echo set_select("course", ""); ?> value="">-Course-</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($courses); $i++) {
                                                $course = $courses[$i];
                                                //echo $course;
                                                ?>
                                                <option  <?php echo set_select("course", $course->c_id); ?> value="<?php echo $course->c_id; ?>" ><?php echo $course->c_name; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="userType" class="input__label">User Type</label>
                                        <select id="userType" name="userType" class="custom-select">
                                            <option value="" <?php echo set_select("userType", ""); ?>>All</option>
                                            <option value="Alumni" <?php echo set_select("userType", "Alumni"); ?>>Alumni</option>
                                            <option value="Student" <?php echo set_select("userType", "Student"); ?>>Student</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label class="input__label" for="passingYear">Passing Year</label>
                                        <select class="custom-select" name="passingYear" id="passingYear">
                                            <option selected disabled="true">-Passing Year-</option>
                                            <?php
                                            $year = date("Y");
                                            echo $year;
                                            for ($i = ($year + 4); $i >= 1995; $i--) {
                                                ?>
                                                <option <?php echo set_select("passingYear", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="startDate" class="input__label">Start Date</label>
                                        <input type="text" class="form-control" id="startDate" name="startDate" value="<?php echo set_value('startDate'); ?>" placeholder="Choose Start Date" autocomplete="off" maxlength="15">
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="endDate" class="input__label">End Date</label>
                                        <input type="text" class="form-control" id="endDate" name="endDate" value="<?php echo set_value('endDate'); ?>" placeholder="Choose End Date" autocomplete="off" maxlength="15">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="col-md-12">
                                        <label for="filterSubmitBtn" class="input__label"></label>
                                        <button id="filterSubmitBtn" name="filterSubmitBtn" value="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Report&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                    </div>
                                </div>
                                <hr>
                            </fieldset>
                                <?php echo form_close();?>
                            <table id="usersData" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Gender</th>
                                        <th>DOB</th>
                                        <th>Session</th>
                                        <th>Course</th>
                                        <th>College Location</th>
                                        <th>Registration Date</th>
                                        <th>Type</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Gender</th>
                                        <th>DOB</th>
                                        <th>Session</th>
                                        <th>Course</th>
                                        <th>College Location</th>
                                        <th>Registration Date</th>
                                        <th>Type</th>
                                        <th>Action</th>
                                    </tr>
                                </tfoot>
                                <tbody>
                                    <?php
                                    for ($i = 0; $i < sizeof($users); $i++) {
                                        $record = $users[$i];
                                        ?>
                                        <tr>
                                            <td><?php echo ($i + 1); ?></td>
                                            <td><?php echo stripslashes($record->name); ?></td>                                        
                                            <td><?php echo stripslashes($record->email); ?></td>
                                            <td><?php echo $record->gender == "M" ? "Male" : "Female"; ?></td> 
                                            <td><?php echo date("d-m-Y", strtotime($record->dob)); ?></td> 
                                            <td><?php echo stripslashes($record->session); ?></td> 
                                            <td><?php echo stripslashes($record->c_name); ?></td> 
                                            <td><?php echo stripslashes($record->college_loc); ?></td> 
                                            <td><?php echo date("d-m-Y", strtotime($record->date_added)); ?></td> 
                                            <td><?php echo stripslashes($record->user_type); ?></td> 
                                            <td>
                                                <?php
                                                if ($record->user_status == "t") {
                                                    ?>
                                                    <i style="color:#297534;cursor: pointer;" onClick="window.location.href = '<?php echo site_url('admin/User/toggleUserStatus/' . $record->userid) . "/f" ?>'" data-toggle="tooltip" title="Click To Block." class="fa fa-check-circle"></i>
                                                    <?php
                                                } else {
                                                    ?>
                                                    <i style="color:#FF0000;cursor: pointer;" onClick="window.location.href = '<?php echo site_url('admin/User/toggleUserStatus/' . $record->userid) . "/t" ?>'" data-toggle="tooltip" title="Click To Unblock." class="fa fa-ban"></i>
                                                    <?php
                                                }
                                                ?>
                                                <?php
                                                if ($record->user_type == "Alumni") {
                                                    ?>
                                                    <i style="color:#4755ab;cursor: pointer;" onClick="window.location.href = '<?php echo site_url('admin/User/toggleUserType/' . $record->userid) . "/Student" ?>'" data-toggle="tooltip" title="Click To Convert To Student" class="fa fa-user " ></i>
                                                    <?php
                                                } else {
                                                    ?>
                                                    <i style="color:#4755ab;cursor: pointer;" onClick="window.location.href = '<?php echo site_url('admin/User/toggleUserType/' . $record->userid) . "/Alumni" ?>'" data-toggle="tooltip" title="Click To Convert To Alumni" class="fa fa-university" ></i>
                                                    <?php
                                                }
                                                ?>
                                                <i style="color:#4755ab;cursor: pointer;" onClick="window.location.href = '<?php echo site_url('admin/User/getUserCompleteDetails/' . $record->userid);?>'" data-toggle="tooltip" title="Click To View User's Profile" class="fa fa-eye" ></i>
                                            </td>
                                        </tr>
                                    <?php }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>
        $(document).ready(function () {
            $("#usersData").DataTable({responsive: true, dom: 'Blfrtip'});
        });
        $(function () {
            var dateFormat = "dd/mm/yy",
                    from = $("#startDate")
                    .datepicker({
                        dateFormat: dateFormat,
                        defaultDate: '0',
                        changeMonth: true,
                        changeYear: true,
                        numberOfMonths: 1
                    }).on("change", function () {
                to.datepicker("option", "minDate", getDate(this));
            }),
                    to = $("#endDate").datepicker({
                dateFormat: dateFormat,
                defaultDate: '0',
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1
            }).on("change", function () {
                from.datepicker("option", "maxDate", getDate(this));
            });
            function getDate(element) {
                var date;
                try {
                    date = $.datepicker.parseDate(dateFormat, element.value);
                } catch (error) {
                    date = null;
                }
                return date;
            }
        });
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("dataManagement").classList.remove("active");
            document.getElementById("admin").classList.remove("active");
            document.getElementById("notification").classList.remove("active");
            document.getElementById("reports").classList.remove("active");
            document.getElementById("adminManagement").classList.remove("active");
            document.getElementById("admin").classList.add("active");
        });
    </script>
