<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Notifications :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = "";
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Admin</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Feedback") ?>">Feedbacks</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i> Notifications</h3><br>
                        <div class="table-responsive">
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>

                            <?php if ($this->session->userdata("alumni_admin_data")["admin_role"] == "Master Admin") { ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Notification/createNotification"); ?>'" tooltip="Add New Course"><i class="fa fa-plus"></i> Add New Notification</button><br><br>
                            <?php } ?>
                            <table id="notifications" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Title</th>
                                        <th>Occasion</th>
                                        <th>Scheduled Date</th>
                                        <th>Added Date</th>
                                        <th>Type</th>
                                        <th>Posted For</th>
                                        <th>Posted By</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Title</th>
                                        <th>Occasion</th>
                                        <th>Scheduled Date</th>
                                        <th>Added Date</th>
                                        <th>Type</th>
                                        <th>Posted For</th>
                                        <th>Posted By</th>
                                        <th>Action</th>
                                    </tr>
                                </tfoot>
                                <tbody>
                                    <?php
                                    for ($i = 0; $i < sizeof($notifications); $i++) {
                                        $record = $notifications[$i];
                                        ?>
                                        <tr>
                                            <td><?php echo ($i + 1); ?></td>
                                            <td><?php echo stripslashes($record->n_title); ?></td>                                        
                                            <td><?php echo stripslashes($record->n_occasion); ?></td>
                                            <td><?php echo ($record->n_scheduled_date == null || $record->n_scheduled_date == "") ? "N/A" : date("d-m-Y", strtotime($record->n_scheduled_date)); ?></td> 
                                            <td><?php echo ($record->n_date_added == null || $record->n_date_added == "") ? "N/A" : date("d-m-Y", strtotime($record->n_date_added)); ?></td> 
                                            <td><?php
                                                if ($record->n_type == "M")
                                                    echo "Marriage Anniversary";
                                                else if ($record->n_type == "G")
                                                    echo "General";
                                                else if ($record->n_type == "S")
                                                    echo "Special";
                                                else if ($record->n_type == "F")
                                                    echo "Festical Wish";
                                                else if ($record->n_type == "B")
                                                    echo "Birthday Wish";
                                                ?></td>  
                                            <td><?php echo stripslashes($record->n_for); ?></td>  
                                            <td><?php echo stripslashes($record->admin_name); ?></td>  
                                            <td>
                                                <?php if ($this->session->userdata("alumni_admin_data")["admin_role"] == "Master Admin") { ?>
                                                    <i class="fa fa-edit" data-toggle="tooltip"  title="Click To Edit Notification" style="color:#002166;cursor: pointer;" title="More Info" onClick="window.location.href = '<?php echo site_url('admin/Notification/editNotification') . '/' . $record->n_id; ?>'"></i> 
                                                    <?php
                                                    if ($record->n_status == "t") {
                                                        ?>
                                                        <i style="color:#297534;cursor: pointer;" onClick="window.location.href = '<?php echo site_url('admin/Notification/toggleNotificationStatus/' . $record->n_id) . "/f" ?>'" data-toggle="tooltip" title="Click To Block Notification" class="fa fa-check-circle"></i>
                                                        <?php
                                                    } else {
                                                        ?>
                                                        <i style="color:#FF0000;cursor: pointer;" onClick="window.location.href = '<?php echo site_url('admin/Notification/toggleNotificationStatus/' . $record->n_id) . "/t" ?>'" data-toggle="tooltip" title="Click To Unblock Notification" class="fa fa-ban"></i>
                                                        <?php
                                                    }
                                                }
                                                ?>
                                                <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getNotificationDetails(<?php echo $record->n_id; ?>);"></i> 
                                            </td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>
        $(document).ready(function () {
            $("#notifications").DataTable({responsive: true, dom: 'Blfrtip'})
        });
        function getNotificationDetails(n_id) {
            //alert(n_id);
            event.preventDefault();
            $(".se-pre-con").fadeIn("slow");
            if (csrfHash === '') {
                csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
            }
            $.ajax({
                url: '<?php echo site_url('admin/Notification/getNotificationDetails/'); ?>',
                data: {n_id: n_id, csrf_token: csrfHash},
                type: 'POST',
                success: function (result) {
                    $(".se-pre-con").fadeOut("slow");
                    var notificationDetails = JSON.parse(result);
                    //console.log(notificationDetails);
                    csrfHash = notificationDetails.csrfHash;
                    $("#title").html(notificationDetails.title);
                    $("#by").html(notificationDetails.by);
                    $("#for").html(notificationDetails.for);
                    $("#occasion").html(notificationDetails.occasion);
                    $("#content").html(notificationDetails.content);
                    $("#scheduled_date").html(notificationDetails.scheduled_date);
                    $("#date_added").html(notificationDetails.date_added);
                    if (notificationDetails.photo == null || notificationDetails.photo == "") {
                        $("#photo").css("display","none");
                    } else {
                        $("#photo").css("display","block");
                        $("#photo").prop("src", '<?php echo base_url("/"); ?>' + notificationDetails.photo);
                    }

                    //document.getElementById('photo').src=notificationDetails.photo
                    //$("#icon").attr("src",notificationDetails.icon); 
                    $("#icon").prop("src", '<?php echo base_url("/"); ?>' + notificationDetails.icon);
                    $("#type").html(notificationDetails.type);
                    //$("#url").html(notificationDetails.url);
                    $("#url").prop("href", 'http:// '+notificationDetails.url);
                    $("#notificationDetailsModal").modal('show');
                }
            });
        }
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("dataManagement").classList.remove("active");
            document.getElementById("admin").classList.remove("active");
            document.getElementById("notification").classList.remove("active");
            document.getElementById("reports").classList.remove("active");
<?php
if ($this->session->userdata("alumni_admin_data")["admin_role"] == "Master Admin") {
    ?>
                document.getElementById("adminManagement").classList.remove("active");
    <?php
}
?>
            document.getElementById("notification").classList.add("active");
        });
    </script>
    <!-- Access Log Details Modal Starts -->
    <div class="modal fade" id="notificationDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Notification Details</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;word-wrap: break-word;">
                    <fieldset>
                        <div class="row">
                            <div class="col-sm-12">
                                <center>
                                    <img src="" id="icon" width="30px"><br>
                                    <b><span id="title"></span></b><br>
                                    <b>Posted By  :<span id="by"></span></b><br>
                                    <b>Posted For  :<span id="for"></span></b><br>
                                    <img src="" id="photo" width="300px">
                                </center>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-sm-3"><b>Content</b></div>
                            <div class="col-sm-9"><span id="content"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Occasion</b></div>
                            <div class="col-sm-9"><span id="occasion"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Type</b></div>
                            <div class="col-sm-3"><span id="type"></span></div>
                            <div class="col-sm-3"><b>URL</b></div>
                            <div class="col-sm-3"><a href="" target="_blank" id="url"><span >Visit</span></a></div>
                        </div>  
                        <div class="row">
                            <div class="col-sm-3"><b>Scheduled Date</b></div>
                            <div class="col-sm-3"><span id="scheduled_date"></span></div>
                            <div class="col-sm-3"><b>Date Added</b></div>
                            <div class="col-sm-3"><span id="date_added"></span></div>
                        </div>                        
                    </fieldset>
                </div>    
                <div class="modal-footer">
                    <button class="btn btn-danger" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Access Log Details Modal Ends -->
