
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Add Job Information :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/utils.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Add Job Information</a></li>
                    </ol>
                </nav>
                <div class="col-xl-12  pr-xl-2">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <!-- form -->
                            <?php echo form_open(site_url("user/Job/saveJobInformation"), ['name' => 'jobFrm', 'id' => 'jobFrm']); ?>
                            <div class="register__header text-center mb-lg-5 mb-4">
                                <h3 class="register__title mb-2">Add Job Information</h3>
<!--                                    <p>Create your account here, and continue </p>-->
                            </div>
                            <?php if (validation_errors() != "") { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php
                            }
                            ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        <label for="organisation" class="input__label required">Organisation</label>
                                        <input tabindex="1" type="text" value="<?php echo set_value("organisation"); ?>" name="organisation" id="organisation" class="form-control login_text_field_bg input-style"
                                               aria-describedby="organisation" placeholder="Enter Organisation Name"     s>
                                    </div>
                                    <div class="form-group">
                                        <label for="from" class="input__label required">From</label>
                                        <select tabindex="3" value="<?php echo set_value("from"); ?>" name="from" id="from" class="form-control login_text_field_bg input-style"
                                                aria-describedby="from">
                                            <option selected disabled="true">-From-</option>
                                            <?php
                                            $currentYear = date("Y");
                                            for ($i = $currentYear - 2; $i <= $currentYear; $i++) {
                                                ?>
                                                <option <?php echo set_select("from", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <label for="address1" class="input__label required">Organisation Address Line 1</label>
                                        <input tabindex="5" type="text" value="<?php echo set_value("address1"); ?>" name="address1" id="address1" class="form-control login_text_field_bg input-style"
                                               aria-describedby="address1" placeholder="Enter Organisation Address Line 1">
                                    </div>
                                    <div class="form-group">
                                        <label for="landmark" class="input__label">Landmark</label>
                                        <input tabindex="7" type="text" value="<?php echo set_value("landmark"); ?>" name="landmark" id="landmark" class="form-control login_text_field_bg input-style"
                                               aria-describedby="landmark" placeholder="Enter Landmark." s>
                                    </div>
                                    <div class="form-group">
                                        <label for="state" class="input__label">State</label>
                                        <select tabindex="9" value="<?php echo set_value("state"); ?>" name="state" id="state" class="form-control login_text_field_bg input-style"
                                                aria-describedby="state">
                                            <option selected disabled="true">-State-</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($states); $i++) {
                                                $record = $states[$i];
                                                ?>
                                                <option <?php echo set_select("state", $record->state); ?> value="<?php echo $record->state; ?>"><?php echo $record->state; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <label for="country" class="input__label required">Country</label>
                                        <select tabindex="11" value="<?php echo set_value("country"); ?>" name="country" id="country" class="form-control login_text_field_bg input-style"
                                                aria-describedby="country">
                                            <option selected disabled="true">-Country-</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($countries); $i++) {
                                                $record = $countries[$i];
                                                ?>
                                                <option <?php echo set_select("country", $record->country_name); ?> value="<?php echo $record->country_name; ?>"><?php echo $record->country_name; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                        <div class="form-group">
                                            <br>
                                            <p>Have you been posted abroad?</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        <label for="designation" class="input__label required">Designation</label>
                                        <input tabindex="2" type="text" value="<?php echo set_value("designation"); ?>" name="designation" id="designation" class="form-control login_text_field_bg input-style"
                                               aria-describedby="designation" placeholder="Enter Designation"     s>
                                    </div>
                                    <div class="form-group">
                                        <label for="to" class="input__label required">To</label>
                                        <select tabindex="4" value="<?php echo set_value("to"); ?>" name="to" id="to" class="form-control login_text_field_bg input-style"
                                                aria-describedby="from">
                                            <option selected disabled="true">-To-</option>
                                            <?php
                                            for ($i = $currentYear; $i >= $currentYear - 2; $i--) {
                                                ?>
                                                <option <?php echo set_select("to", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <label for="address2" class="input__label required">Organisation Address Line 2</label>
                                        <input tabindex="6" type="text" value="<?php echo set_value("address2"); ?>" name="address2" id="adddress2" class="form-control login_text_field_bg input-style"
                                               aria-describedby="address2" placeholder="Enter Organisation Address Line 2"     s>
                                    </div>
                                    <div class="form-group">
                                        <label for="role" class="input__label ">Role In Organisation (Character Limit : 100)</label>
                                        <input tabindex="8" type="text" value="<?php echo set_value("role"); ?>" name="role" id="role" class="form-control login_text_field_bg input-style"
                                               aria-describedby="role" placeholder="Enter Your Role In Organisation." s>
                                    </div>
                                    <div class="form-group">
                                        <label for="city" class="input__label ">City</label>
                                        <select tabindex="10" value="<?php echo set_value("city"); ?>" name="city" id="city" class="form-control login_text_field_bg input-style"
                                                aria-describedby="city">                                
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <label for="zipcode" class="input__label">Zipcode</label>
                                        <input tabindex="12" type="text" value="<?php echo set_value("zipcode"); ?>" name="zipcode" id="zipcode" class="form-control login_text_field_bg input-style"
                                               aria-describedby="zipcode" placeholder="Enter Your Zipcode." s>
                                    </div>
                                    <div class="form-group mt-4">                                     
                                        <input tabindex="13" class="form-control-check" type="checkbox" name="abroad" id="abroad">
                                    </div>
                                </div>
                            </div>  
                            <div class="row">
                                <div class=""></div>
                            </div>
                            <div class="d-flex align-items-center flex-wrap justify-content-center">
                                <button tabindex="14" type="submit" class="btn btn-primary  btn-block btn-style mt-2">ADD JOB</button>
                            </div>                                  
                            <br>
                            <span style="color:red;">(*) marked fields are mandatory.</span>
                            <?php echo form_close(); ?>
                            <!-- //form -->
                        </div>
                    </div>
                </div>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("user/footer");
    ?>
    <script>
        $(document).ready(function () {
            //alert($("#state").val());
            if ($("#state").val() != null) {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Location/getCitiesByState/') ?>',
                    data: {state: $("#state").val(), csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        var cityInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        $("#city").html(cityInfo.city_list);
                        csrfHash = cityInfo.csrfHash;
                        jobFrm.csrf_token.value = csrfHash;
                        searchFrm.csrf_token.value=csrfHash;
                    }
                });
            }
            $('#abroad').click(function () {
                if ($(this).prop("checked") == true) {
                    // alert("Checkbox is checked.");
                    $('#state').prop('disabled', true);
                    $('#city').prop('disabled', true);
                    $('#zipcode').prop('disabled', true);
                    $('#abroad').prop('value', "abroad");
                    //alert($('#abroad').val());
                } else if ($(this).prop("checked") == false) {
                    // alert("Checkbox is unchecked.");
                    $('#state').prop('disabled', false);
                    $('#city').prop('disabled', false);
                    $('#zipcode').prop('disabled', false);
                    $('#abroad').prop('value', "");
                    //alert($('#abroad').val());
                }
            });
            $("#state").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Location/getCitiesByState/') ?>',
                        data: {state: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#city").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            jobFrm.csrf_token.value = csrfHash;
                            searchFrm.csrf_token.value=csrfHash;
                        }
                    });
                }
            });
        });
    </script>
    <script>
        $(document).ready(function () {
            
            document.getElementById("dashboard").classList.remove("active");
            <?php
            $user = $this->session->userdata("userData");
            if ($user["user_role"] == "Alumni")
                echo 'document.getElementById("job").classList.remove("active");';
            ?>
            document.getElementById("postMgt").classList.remove("active");
            document.getElementById("gallery").classList.remove("active");
            
            document.getElementById("job").classList.add("active");
        });
    </script>
