
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Jobs Report :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = "";
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Job Management</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Job Report</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i> Job Report</h3><br>
                        <div class="table-responsive">
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("user/Job/addJob"); ?>'" tooltip="Add New Course"><i class="fa fa-plus"></i> Add New Job</button><br><br>
                            <table id="jobs" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Organisation</th>
                                        <th>Designation</th>
                                        <th>In Session</th>
                                        <th>Job Status</th>
                                        <th>Added On</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Organisation</th>
                                        <th>Designation</th>
                                        <th>In Session</th>
                                        <th>Job Status</th>
                                        <th>Added On</th>
                                        <th>Action</th>
                                    </tr>
                                </tfoot>
                                <tbody>
                                    <?php
                                    for ($i = 0; $i < sizeof($jobs); $i++) {
                                        $record = $jobs[$i];
                                        ?>
                                        <tr>
                                            <td><?php echo ($i + 1); ?></td>
                                            <td><?php echo stripslashes($record->company_name); ?></td>                                        
                                            <td><?php echo stripslashes($record->designation); ?></td>
                                            <td><?php echo stripslashes($record->j_from) . "-" . stripslashes($record->j_to); ?></td>    
                                            <td><?php echo stripslashes($record->j_status); ?></td> 
                                            <td><?php echo date("d-m-Y", strtotime($record->j_added)); ?></td>  
                                            <td>

                                                <a href="<?php echo site_url("user/Job/editJob/$record->jp_id"); ?>"><i class="fa fa-edit" style="color:#002166;cursor: pointer;" title="More Info"></i> </a>
                                                <a href="<?php echo site_url("user/Job/deleteJob/$record->jp_id"); ?>"><i class="fa fa-trash-o" style="color:red;cursor: pointer;" title="More Info"></i> </a>
                                                <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getJobDetails(<?php echo $record->jp_id; ?>);"></i> 
                                            </td>
                                        </tr>
                                        <?php
                                    }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("user/footer");
    ?>
    <script>
        $(document).ready(function () {
            $("#jobs").DataTable({responsive: true, dom: 'Blfrtip'})
        });
        function getJobDetails(jp_id) {
            //alert(jp_id);
            event.preventDefault();
            $(".se-pre-con").fadeIn("slow");
            if (csrfHash === '') {
                csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
            }
            $.ajax({
                url: '<?php echo site_url('user/Job/getJobDetails/'); ?>',
                data: {jp_id: jp_id, csrf_token: csrfHash},
                type: 'POST',
                success: function (result) {
                    $(".se-pre-con").fadeOut("slow");
                    var jobDetails = JSON.parse(result);
                    csrfHash = jobDetails.csrfHash;
                    $("#organisation").html(jobDetails.organisation);
                    $("#designation").html(jobDetails.designation);
                    $("#role").html(jobDetails.role);
                    $("#session").html(jobDetails.session);
                    if (jobDetails.country != "India") {
                        $("#address").html(jobDetails.address1 + "," + jobDetails.address2 + "," + jobDetails.landmark + "," + jobDetails.country);
                    } else if (jobDetails.address1 != null && jobDetails.address2 != null && jobDetails.landmark != null && jobDetails.city != null && jobDetails.state != null && jobDetails.pincode != null) {
                        $("#address").html(jobDetails.address1 + "," + jobDetails.address2 + "," + jobDetails.landmark + "," + jobDetails.city + "," + jobDetails.state + "," + jobDetails.country + "," + jobDetails.pincode);
                    } else {
                        $("#address").html(jobDetails.address1 + "," + jobDetails.address2 + "," + jobDetails.country);
                    }
                    $("#job_status").html(jobDetails.job_status);
                    $("#added_date").html(jobDetails.added_date);
                    $("#feedbackDetailsModal").modal('show');
                }
            });
        }
    </script>
    <script>
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
<?php
$user = $this->session->userdata("userData");
if ($user["user_role"] == "Alumni")
    echo 'document.getElementById("job").classList.remove("active");';
?>
            document.getElementById("postMgt").classList.remove("active");
            document.getElementById("gallery").classList.remove("active");
            document.getElementById("job").classList.add("active");
        });
    </script>
    <!-- Access Log Details Modal Starts -->
    <div class="modal fade" id="feedbackDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Job Details</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                    <fieldset>
                        <div class="row mt-2">
                            <div class="col-sm-3"><b>Organisation</b></div>
                            <div class="col-sm-3"><span id="organisation"></span></div>
                            <div class="col-sm-3"><b>Designation</b></div>
                            <div class="col-sm-3"><span id="designation"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Role</b></div>
                            <div class="col-sm-9"><span id="role"></span></div>
                            <div class="col-sm-3"><b>Job Status</b></div>
                            <div class="col-sm-3"><span id="job_status"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Address</b></div>
                            <div class="col-sm-9"><span id="address"></span></div>
                        </div>  
                        <div class="row">
                            <div class="col-sm-3"><b>Session</b></div>
                            <div class="col-sm-3"><span id="session"></span></div>
                            <div class="col-sm-3"><b>Added On</b></div>
                            <div class="col-sm-3"><span id="added_date"></span></div>
                        </div>                        
                    </fieldset>
                </div>    
                <div class="modal-footer">
                    <button class="btn btn-danger" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Access Log Details Modal Ends -->
