
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>My Post :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = "";
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item">PostManagement</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">My Posts</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i> &nbsp;My Posts</h3><br>
                        <div class="table-responsive">
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("user/Post/createPost"); ?>'" tooltip="Add New Course"><i class="fa fa-plus"></i> Add New Post</button><br><br>
                            <table id="posts" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Post Content</th>     
                                        <th>Published For</th>   
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Post Content</th>     
                                        <th>Published For</th>   
                                        <th>Action</th>
                                    </tr>
                                </tfoot>
                                <tbody>
                                    <?php
                                    for ($i = 0; $i < sizeof($posts); $i++) {
                                        $record = $posts[$i];
                                        ?>
                                        <tr>
                                            <td><?php echo ($i + 1); ?></td>
                                            <td><?php echo stripslashes($record->pst_content); ?></td> 
                                            <td><?php echo stripslashes($record->pst_for); ?></td> 
                                            <td>

                                                <i class="fa fa-edit" style="color:#002166;cursor: pointer;" title="More Info" onClick="window.location.href = '<?php echo site_url('user/Post/editPost/' . $record->pst_id) ?>'"></i>
                                                <i class="fa fa-trash-o" style="color:red;cursor: pointer;" title="More Info" onClick="window.location.href = '<?php echo site_url('user/Post/deletePost/' . $record->pst_id) ?>'"></i>
                                                <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getPostDetails(<?php echo $record->pst_id; ?>);"></i> 
                                            </td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("user/footer");
    ?>
    <script>
        $(document).ready(function () {
            $("#posts").DataTable({responsive: true, dom: 'Blfrtip'})
        });
        function getPostDetails(pst_id) {
            //alert(pst_id);
            event.preventDefault();
            $(".se-pre-con").fadeIn("slow");
            if (csrfHash === '') {
                csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
            }
            $.ajax({
                url: '<?php echo site_url('user/Post/getPostDetails/'); ?>',
                data: {pst_id: pst_id, csrf_token: csrfHash},
                type: 'POST',
                success: function (result) {
                    $(".se-pre-con").fadeOut("slow");
                    var postDetails = JSON.parse(result);
                    csrfHash = postDetails.csrfHash;
                    $("#postImg").prop("src", "<?php echo base_url(); ?>" + postDetails.postImg);
                    $("#pst_for").html(postDetails.pst_for);
                    $("#date").html(postDetails.date);
                    $("#pst_content").html(postDetails.pst_content);
                    $("#feedbackDetailsModal").modal('show');
                }
            });
        }
    </script>
    <script>
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
<?php
$user = $this->session->userdata("userData");
if ($user["user_role"] == "Alumni")
    echo 'document.getElementById("job").classList.remove("active");';
?>
            document.getElementById("postMgt").classList.remove("active");
            document.getElementById("gallery").classList.remove("active");
            document.getElementById("postMgt").classList.add("active");
        });
    </script>
    <!-- Post Details Modal Starts -->
    <div class="modal fade" id="feedbackDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Post Details</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                    <fieldset>
                        <div class="row">
                            <div class="col-sm-12">
                                <center>
                                    <img src="" id="postImg" width="200px"><br>
                                </center>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-sm-3"><b>Visibity To</b></div>
                            <div class="col-sm-9"><span id="pst_for"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Published On</b></div>
                            <div class="col-sm-9"><span id="date"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Content</b></div>
                            <div class="col-sm-9"><span id="pst_content"></span></div>
                        </div>  
                        <!--                        <div class="row">
                                                    <div class="col-sm-3"><b>Posted By</b></div>
                                                    <div class="col-sm-3"><span id="postedBy"></span></div>
                        
                                                    <div class="col-sm-3"><b>User Type</b></div>
                                                    <div class="col-sm-3"><span id="usertype"></span></div>
                                                </div>                        -->
                    </fieldset>
                </div>    
                <div class="modal-footer">
                    <button class="btn btn-danger" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Post Details Modal Ends -->
